VisualEditor: Saving or closing the editing pane does not restore the default view of the article
Closed, ResolvedPublic


The VisualEditor isn't perfectly rendering markup yet (which is understandable), and even when it does it'll look slightly different from read mode in a lot of ways. The problem is that cancelling the VE editing interface, or saving, loads a VE-rendered article view rather than what the article actually looks like.

(sorry if this sounds nonsensical; it's difficult to explain at this end).

Version: unspecified
Severity: normal

bzimport added a project: VisualEditor-MediaWiki.Via ConduitNov 22 2014, 1:48 AM
bzimport set Reference to bz49964.
Ironholds created this task.Via LegacyJun 21 2013, 3:45 PM
TTO added a comment.Via ConduitJun 22 2013, 1:00 AM

The example given at the enwiki feedback page was [[scaphoid fracture]]. Observe the spacing of infobox content, then enter and leave VE mode and notice the alteration.

Jdforrester-WMF added a comment.Via ConduitMay 5 2014, 9:23 PM

I believe all of the changes for this has been merged and fixed some months ago; please correct if there are still issues.

Add Comment